Subject: Re: [PATCH 4/9] ipv6: sr: add core files for SR HMAC support

From: David Lebrun <[email-masked]>
Date: Tue, 18 Oct 2016 14:07:31 +0200

On 10/17/2016 07:24 PM, Tom Herbert wrote:
> A lot of this looks generic and potentially useful in other cases
> where we we want to do HMAC over some headers (I'm thinking GUE can
> probably use some of this for header authentication). Might be nice to
> split out the generic pieces at some point.

How would you see this integrated generically ? Directly into the crypto
subsystem ? The idea is interesting anyway, I can work on that after
this patch series goes through.